updating to phpbb 3.2.7

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
janus_zonstraal
Registered User
Posts: 5438
Joined: Sat Aug 30, 2014 1:30 pm

Re: updating to phpbb 3.2.7

Post by janus_zonstraal »

php54
Is your php version still 5.4?
Update (or ask your host) to php7.2 not 7.3!
Sorry! My English is bat ;) !!!
User avatar
warmweer
Jr. Extension Validator
Posts: 7399
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium
Contact:

Re: updating to phpbb 3.2.7

Post by warmweer »

mcsinc wrote:
Sat Sep 14, 2019 9:24 pm
where would I look for the extension files that are outdated?
which subdirectories are there in /ext?
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
Mick
Support Team Member
Support Team Member
Posts: 23534
Joined: Fri Aug 29, 2008 9:49 am

Re: updating to phpbb 3.2.7

Post by Mick »

The PHP Version is 5.4.45 at the moment.
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • There will be legions of cricket lovers of both genders through whose lips the abomination ‘BATTER’ will never pass so long as we live” - Simon Heffer - Telegraph
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

warmweer wrote:
Sun Sep 15, 2019 8:19 am
which subdirectories are there in /ext?
file structure.png
Last edited by mcsinc on Sun Sep 15, 2019 11:24 pm, edited 1 time in total.
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

Mick wrote:
Sun Sep 15, 2019 10:42 am
The PHP Version is 5.4.45 at the moment.
Looking at my host 's "phpmyadmin" panel, looks like it is on : 7.2.7. Not sure where you found 5.4.45 (?)

Web server
cpsrvd 11.78.0.38
Database client version: libmysql - 5.1.73
PHP extension: mysqli curl mbstring
PHP version: 7.2.7
User avatar
warmweer
Jr. Extension Validator
Posts: 7399
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium
Contact:

Re: updating to phpbb 3.2.7

Post by warmweer »

mcsinc wrote:
Sun Sep 15, 2019 11:12 pm

Looking at my host 's "phpmyadmin" panel, looks like it is on : 7.2.7. Not sure where you found 5.4.45 (?)

Web server
cpsrvd 11.78.0.38
Database client version: libmysql - 5.1.73
PHP extension: mysqli curl mbstring
PHP version: 7.2.7
Strange. 2 tests confirm that it's php 5.4.45.

What does phpinfo say (in your board's ACP)?
According to your/ext folder there are no extensions (except for the default phpBB) so unless extensions were incorrectly removed your 3.1 had no (extra) extensions)

What I'm worried about is that your phpBB installation is directly in your public_html (what I mentioned in a previous post about having overwritten your host index.html and .htaccess). Can the original ones be restored?
Would you consider the option of making a /forum (or phpBB3) folder in public_html and extracting a new set of 3.2.7 files into that folder, and then installing a new board into that (different database). If that works then you could try copying your current config.php to /forum (rename the one in public_html temporarily so as to avoid conflicting access.

Something else, I don't use FiIezilla so I'm not sure what the possibilities are, but I see all file and directory dates as Yesterday ...
I prefer to have my FTP keep the source files dates (allowing me to quickly see whether all phpbb files were effectively overwritten)
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
3Di
Former Team Member
Posts: 16800
Joined: Mon Apr 04, 2005 11:09 pm
Location: Have a guess... 🇮🇹
Name: Marco
Contact:

Re: updating to phpbb 3.2.7

Post by 3Di »

mcsinc wrote:
Sun Sep 15, 2019 12:28 am

PHP Fatal error: require(): Failed opening required './includes/startup.php' (include_path='.:/opt/alt/php54/usr/share/pear:/opt/alt/php54/usr/share/php') in /home/tv41265/public_html/common.php on line 23
Is indeed in a 5.4 folder.
🆓 Free support for our extensions also provided here: phpBB Studio
🚀 Looking for a specific feature or alternative option? We will rock you!
Please PM me only to request paid works. Thx. Buy me a coffee -> Image
My development's activity º PhpStorm's proud user º Extensions, Scripts, MOD porting, Update/Upgrades
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

I think the original files are gone. Not sure how to retriev or restore them using my cpanel file manager.

I could create a new folder called forum and move the files to it. Not sure how that gets loaded when someone goes to Okanaganautocross.net. I thought the default was the public_html folder because when I set it up in2014, that’s where they ended up.

FileZilla is the first FTP listed in options, so that’s the one I chose. I am having a problem with it, however, in that when I log in, I cannot see my host server files. The “remote site” shows a folder but I cannot open it and there are no other icons or anything to click on. Very strange because just a few days ago, I used the same login info to upload the 3.2.7 files.
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

3Di wrote:
Mon Sep 16, 2019 3:28 am
mcsinc wrote:
Sun Sep 15, 2019 12:28 am

PHP Fatal error: require(): Failed opening required './includes/startup.php' (include_path='.:/opt/alt/php54/usr/share/pear:/opt/alt/php54/usr/share/php') in /home/tv41265/public_html/common.php on line 23
Is indeed in a 5.4 folder.
So what does all this mean then? Ie: what solutions routes can I take ? Since there is conflicting info on what php The server is actually using.
User avatar
3Di
Former Team Member
Posts: 16800
Joined: Mon Apr 04, 2005 11:09 pm
Location: Have a guess... 🇮🇹
Name: Marco
Contact:

Re: updating to phpbb 3.2.7

Post by 3Di »

There should be an .htaccess rule for the public_html folder which redirects to use PHP 5.4 for it.

Ask your host to remove it.
🆓 Free support for our extensions also provided here: phpBB Studio
🚀 Looking for a specific feature or alternative option? We will rock you!
Please PM me only to request paid works. Thx. Buy me a coffee -> Image
My development's activity º PhpStorm's proud user º Extensions, Scripts, MOD porting, Update/Upgrades
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

warmweer wrote:
Mon Sep 16, 2019 2:50 am
What does phpinfo say (in your board's ACP)?
I checked a different area on my GoDaddy dashboard (not cpanel), and it confirmed I was on 5.4 as well.
I changed it to 7.2, so not sure if it takes some time to propagate.
Nothing seemed to have changed regarding new posts.
User avatar
3Di
Former Team Member
Posts: 16800
Joined: Mon Apr 04, 2005 11:09 pm
Location: Have a guess... 🇮🇹
Name: Marco
Contact:

Re: updating to phpbb 3.2.7

Post by 3Di »

You are now on 7.2.20, see: http://prntscr.com/p6lhve

Look again at your error logs, and provide a test user if you like, that helps.
🆓 Free support for our extensions also provided here: phpBB Studio
🚀 Looking for a specific feature or alternative option? We will rock you!
Please PM me only to request paid works. Thx. Buy me a coffee -> Image
My development's activity º PhpStorm's proud user º Extensions, Scripts, MOD porting, Update/Upgrades
mcsinc
Registered User
Posts: 29
Joined: Thu Nov 13, 2014 11:29 pm

Re: updating to phpbb 3.2.7

Post by mcsinc »

The one fatal error re: php54 is now gone.
The only other error is the same as before:

PHP Fatal error: Uncaught exception 'InvalidArgumentException' with message 'Invalid scheme name ''' in /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php:8453

Stack trace:
#0 /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php(8109): s9e\TextFormatter\Configurator\Collections\SchemeList->normalizeValue('')
#1 /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php(8144): s9e\TextFormatter\Configurator\Collections\NormalizedList->append('')
#2 /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php(7217): s9e\TextFormatter\Configurator\Collections\NormalizedList->offsetSet(NULL, '')
#3 /home/tv41265/public_html/phpbb/textformatter/s9e/factory.php(221): s9e\TextFormatter\Configurator\UrlConfig->allowScheme('')
#4 /home/tv41265/public_html/phpbb/textformatter/s9e/factory.php(387): phpbb\textformatter\s9e\factory->get_configurator()
#5 /home/tv41265/public_html/phpbb/textformatter/s9e/parser.php(47): phpbb\textformatter\s9e\factory->regenerate()
#6 /hom in /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php on line 8453
User avatar
3Di
Former Team Member
Posts: 16800
Joined: Mon Apr 04, 2005 11:09 pm
Location: Have a guess... 🇮🇹
Name: Marco
Contact:

Re: updating to phpbb 3.2.7

Post by 3Di »

mcsinc wrote:
Mon Sep 16, 2019 4:44 am
PHP Fatal error: Uncaught exception 'InvalidArgumentException' with message 'Invalid scheme name ''' in /home/tv41265/public_html/vendor/s9e/text-formatter/src/Configurator.php:8453
Looks like the update/upgrade got a glitch, uh?

With phpmyadmin try:

Code: Select all

UPDATE phpbb_config SET config_value='http,https,ftp' WHERE config_name='allowed_schemes_links';
change phpbb_ to your prefix if different.

Afterwards you have to delete the production folder located into the ./cache one. (purge the cache)
🆓 Free support for our extensions also provided here: phpBB Studio
🚀 Looking for a specific feature or alternative option? We will rock you!
Please PM me only to request paid works. Thx. Buy me a coffee -> Image
My development's activity º PhpStorm's proud user º Extensions, Scripts, MOD porting, Update/Upgrades
User avatar
warmweer
Jr. Extension Validator
Posts: 7399
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium
Contact:

Re: updating to phpbb 3.2.7

Post by warmweer »

3Di wrote:
Mon Sep 16, 2019 3:38 am
There should be an .htaccess rule for the public_html folder which redirects to use PHP 5.4 for it.

Ask your host to remove it.
He extracted the phpBB files to public_html so the .htaccess in public_html is probably the phpBB .htaccess.
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
Post Reply

Return to “[3.2.x] Support Forum”